### Class

# Snapd AutorefreshChangeData

since: 1.65

#### Description [src]

    final class Snapd.AutorefreshChangeData : Snapd.ChangeData
    {
      /* No available fields */
    }

`SnapdAutoRefreshChangeData` contains the data from the ‘data’ field of a `SnapdChange` of kind ‘auto-refresh’.

Available since: 1.65

#### Ancestors

- SnapdChangeData
- GObject

#### Instance methods

###### snapd_autorefresh_change_data_get_refresh_forced

Returns the list of snaps that were inhibited for too long, and now are having a forced refresh.

since: 1.65

###### snapd_autorefresh_change_data_get_snap_names

Returns the list of snaps that have a pending update but are inhibited because they have a running program.

since: 1.65

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.AutorefreshChangeData:refresh-forced

Contains the list of snaps that were inhibited for too long, and now are having a forced refresh.

since: 1.65

###### Snapd.AutorefreshChangeData:snap-names

Contains the list of snaps that have a pending update but are inhibited because they have a running program.

since: 1.65

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdAutorefreshChangeDataClass {
      SnapdChangeDataClass parent_class;

    }

No description available.

###### Class members

`parent_class: SnapdChangeDataClass`

  No description available.